Skip to main content
GET
/
api
/
v1
/
fills
List fills
curl --request GET \
  --url https://staging.zerolatencylabs.com/api/v1/fills \
  --header 'X-API-KEY: <api-key>'
[
  {
    "account_id": 1024,
    "fee": "8.12",
    "id": "018f9a3d-1c4f-7a2b-8e5d-3f6a7b8c9d0e",
    "liquidity": "TAKER",
    "market": "BTC-PERP",
    "portfolio_index": 0,
    "price": "64998.5",
    "quantity": "0.25",
    "request_id": "018f9a3c-7b2e-7c1a-9f3d-2a4b6c8d0e1f",
    "side": "LONG",
    "subaccount_index": 0,
    "time": 1718900000000000000
  }
]

Authorizations

X-API-KEY
string
header
required

Base64-encoded API key issued by POST /api/v1/api-keys.

Query Parameters

subaccount_index
integer<int32>
required
Required range: x >= 0
portfolio_index
integer<int32>
Required range: x >= 0
limit
integer<int64>
default:100

Maximum number of fills to return. Must be between 1 and 1000; defaults to 100.

Required range: 1 <= x <= 1000
offset
integer<int64>
default:0

Number of fills to skip from the start of the result set. Must be >= 0; defaults to 0.

Required range: x >= 0

Response

Matching fills

account_id
integer<int64>
required

A system-generated unique identifier for an account.

Required range: x >= 0
portfolio_index
integer<int32>
required

A unique identifier for a portfolio within a subaccount.

Required range: x >= 0
subaccount_index
integer<int32>
required

A unique identifier for a subaccount within an account.

Required range: x >= 0
fee
string
required

The fee paid for this fill in USDC

Example:

"0.45"

id
string<uuid>
required

The unique identifier of the fill

Example:

"0190b6c2-7e4a-7c3b-9f21-2b6a1c4e5d8f"

liquidity
enum<string>
required

The liquidity role (Taker or Maker)

Available options:
TAKER,
MAKER
market
string
required

The symbol of the market (e.g. BTC-PERP)

Example:

"BTC-PERP"

price
string
required

The price at which the fill occurred in quote asset units (e.g. USDC)

Example:

"64998.50"

quantity
string
required

The quantity filled in base asset units

Example:

"0.25"

request_id
string<uuid>
required

The unique identifier of the order associated with this fill

Example:

"0190b6c2-7e4a-7c3b-9f21-2b6a1c4e5d8f"

side
enum<string>
required

The side of the fill (Long or Short)

Available options:
LONG,
SHORT
time
integer<int64>
required

The timestamp when the fill occurred

Required range: x >= 0